Cantera 2.6.0

Public Member Functions | Private Attributes | List of all members
C2 Class Reference
Stoichiometry

Handles two species in a single reaction. More...

`#include <StoichManager.h>`

## Public Member Functions
| C2 (size_t rxn=0, size_t ic0=0, size_t ic1=0)
void | incrementSpecies (const doublereal *R, doublereal *S) const
void | decrementSpecies (const doublereal *R, doublereal *S) const
void | multiply (const doublereal *S, doublereal *R) const
void | incrementReaction (const doublereal *S, doublereal *R) const
void | decrementReaction (const doublereal *S, doublereal *R) const
void | resizeCoeffs (const std::map< std::pair< size_t, size_t >, size_t > &indices)
void | derivatives (const double *S, const double *R, vector_fp &jac) const
void | scale (const double *R, double *out, double factor) const

## Private Attributes
size_t | m_rxn
| Reaction index -> index into the ROP vector. More...
size_t | m_ic0
| Species index -> index into the species vector for the two species. More...
size_t | m_ic1
size_t | m_jc0
size_t | m_jc1
| Indices in derivative triplet vector. More...

## Detailed Description

Handles two species in a single reaction.

See Stoichiometry

Definition at line 188 of file StoichManager.h.

## Constructor & Destructor Documentation

## ◆ C2()

C2 | ( | size_t | rxn = `0`,
|  | size_t | ic0 = `0`,
|  | size_t | ic1 = `0`
| ) |  |
| inline

Definition at line 191 of file StoichManager.h.

## Member Function Documentation

## ◆ incrementSpecies()

void incrementSpecies | ( | const doublereal * | R,
|  | doublereal * | S
| ) |  | const
| inline

Definition at line 194 of file StoichManager.h.

## ◆ decrementSpecies()

void decrementSpecies | ( | const doublereal * | R,
|  | doublereal * | S
| ) |  | const
| inline

Definition at line 199 of file StoichManager.h.

## ◆ multiply()

void multiply | ( | const doublereal * | S,
|  | doublereal * | R
| ) |  | const
| inline

Definition at line 204 of file StoichManager.h.

## ◆ incrementReaction()

void incrementReaction | ( | const doublereal * | S,
|  | doublereal * | R
| ) |  | const
| inline

Definition at line 212 of file StoichManager.h.

## ◆ decrementReaction()

void decrementReaction | ( | const doublereal * | S,
|  | doublereal * | R
| ) |  | const
| inline

Definition at line 216 of file StoichManager.h.

## ◆ resizeCoeffs()

void resizeCoeffs | ( | const std::map< std::pair< size_t, size_t >, size_t > & | indices | ) |
| inline

Definition at line 220 of file StoichManager.h.

## ◆ derivatives()

void derivatives | ( | const double * | S,
|  | const double * | R,
|  | vector_fp & | jac
| ) |  | const
| inline

Definition at line 226 of file StoichManager.h.

## ◆ scale()

void scale | ( | const double * | R,
|  | double * | out,
|  | double | factor
| ) |  | const
| inline

Definition at line 236 of file StoichManager.h.

## Member Data Documentation

## ◆ m_rxn

size_t m_rxn
| private

Reaction index -> index into the ROP vector.

Definition at line 243 of file StoichManager.h.

## ◆ m_ic0

size_t m_ic0
| private

Species index -> index into the species vector for the two species.

Definition at line 246 of file StoichManager.h.

## ◆ m_ic1

size_t m_ic1
| private

Definition at line 246 of file StoichManager.h.

## ◆ m_jc0

size_t m_jc0
| private

Definition at line 248 of file StoichManager.h.

## ◆ m_jc1

size_t m_jc1
| private

Indices in derivative triplet vector.

Definition at line 248 of file StoichManager.h.

The documentation for this class was generated from the following file:

- StoichManager.h